Subject: Re: [net-next 01/10] igb: reduce CPU0 latency when updating statistics

From: Ido Schimmel <[email-masked]>
Date: Tue, 25 Dec 2018 17:47:15 +0200

On Thu, Dec 20, 2018 at 12:56:25PM -0800, Jeff Kirsher wrote:
> This change is based off of the work and suggestion of Jan Jablonsky
> <[email-masked]>.
> 
> The Watchdog workqueue in igb driver is scheduled every 2s for each
> network interface. That includes updating a statistics protected by
> spinlock. Function igb_update_stats in this case will be protected
> against preemption. According to number of a statistics registers
> (cca 60), processing this function might cause additional cpu load
>  on CPU0.
> 
> In case of statistics spinlock may be replaced with mutex, which
> reduce latency on CPU0.
> 
> CC: Bernhard Kaindl  <[email-masked]>
> CC: Jan Jablonsky <[email-masked]>
> Signed-off-by: Jeff Kirsher <[email-masked]>
> Tested-by: Aaron Brown <[email-masked]>
> Signed-off-by: Jeff Kirsher <[email-masked]>

Hi,

I'm hitting following issue with this commit:
https://lists.01.org/pipermail/lkp/2018-September/009139.html